function v_c = fun_c_PKpo_1Komp_ODE(v_t)

global g_dose;

options = odeset('RelTol',1e-8,'AbsTol',1e-8);

% Get parameters and dosing intervall
dose = g_dose;
V    = 1;

% con  = [2,0,7];

sol = ode45(@model_1cmp_po_ode,[0 100],[dose/V 0],options);

Y = deval(sol,v_t);

v_c = Y(2,:)';
   