function erg = fun_kin(Imax,IC50,kp,v_t)

for i=1:length(v_t)
    if ( v_t(i) >= 0 )
        c = fun_c_PKpo_1Komp(v_t(i));
        erg(i) = kp*(1 + (Imax*c)/(IC50+c));
    else
        erg(i) = kp;
    end
end


% If the PK is given via an ODE system
%
%c = zeros(1,length(v_t));
%
%end_idx = 0;
%for i=1:length(v_t)
%    end_idx = i;
%    if (v_t(i) < 0)
%        end_idx = i-1;
%        break;
%    end
%end
%
%v_t_dummy = v_t([1:end_idx]);
%
%if (end_idx ~= 0)
%    c(1:end_idx) = fun_c_PKpo_1Komp_ODE(v_t_dummy);
%end
%
%erg = kp.*(1+(Imax.*c)./(IC50+c));

        