% CDF Gamma
%
% Input:  Vector: v_t       | Time t
% Global: Scalar: g_a,g_b   | Distribution parameter
% Output: Vector: v_erg     | CDF
%
function v_erg = calc_cdf_gamma(v_t,a,b)

len = length(v_t);

for i=1:len
    if (v_t(i) >= 0)
        v_erg(i) = gammainc(b*v_t(i),a);  % VORSICHT: (x,a) nicht (a,x) !!!
    else
        v_erg(i) = 0;
    end
end