function nalpha = calc_nalpha(n,a,b,alpha,delta,distr,max_n)

nalpha = 0;
for i=1:max_n
    nalpha = n+i;
    switch distr
        case 'lognormal'
            if (calc_cdf_lognormal(nalpha*delta,a,b) >= 1-alpha)
                break;
            end
            
        case 'weibull'
            if (calc_cdf_weibull(nalpha*delta,a,b) >= 1-alpha)
                break;
            end
            
        case 'gamma'
            if (calc_cdf_gamma(nalpha*delta,a,b) >= 1-alpha)
                break;
            end
    end
 end
    