function void = plot_distributions_N(s_distr,a,b,color)

for i=1:1000
    t = i/100;
    t_plot(i) = t;
    switch s_distr
        case 'weibull'
            pdf_plot(i) = calc_pdf_weibull(t,a,b);
            cdf_plot(i) = calc_cdf_weibull(t,a,b);
        case 'lognormal'
            pdf_plot(i) = calc_pdf_lognormal(t,a,b);
            cdf_plot(i) = calc_cdf_lognormal(t,a,b);
        case 'gamma'
            pdf_plot(i) = calc_pdf_gamma(t,a,b);
            cdf_plot(i) = calc_cdf_gamma(t,a,b);
    end
end
figure(3); plot(t_plot,pdf_plot,color,'LineWidth',2); title(s_distr,'FontSize',14); 
xlabel('Lifespan \tau','FontSize',14); ylabel('PDF','FontSize',14); hold on;
figure(4); plot(t_plot,cdf_plot,color,'LineWidth',2); title('CDF','FontSize',14); hold on;

void = 0;